Tech-Ecke / CATScript/VBS Inhalt / Visuelle Eigenschaften

 

Visuelle Eigenschaften

Seiteninhalt:  
  Objektbenennung (Name)
  Einfärbung (Color) 
  Show & Hide

Objektbenennung (Name):

Bei jeder Klasse bekommt man den Namen über Eigenschaft ".Name".

Hinweis:
Hat man die zu ermittelnden Objekte in einer Selektion, so gelangt man über ".Value" zum Objekt und dann über ".Name" zum Namen. Es wäre aber nicht Catia, wenn es da nicht eine Ausnahme gäbe. Hat man "Constraints" in der Selection, so kommt man direkt über ".Name" an den Namen, also ohne ".Value" über Objekt... warum auch immer...

  ' Bitte vor dem Ausführen ein Objekt im Baum selektieren! - z.B. eine Linie, Plane, Punkt...

Sub CATMain()

set Sel = CATIA.ActiveDocument.Selection
set Objekt = Sel.Item(1).Value     ' erstes Objekt der aktuellen Selektion
'set Objekt = Objekt.Parent         ' bei Selektion im 3D Space diese Zeile aktivieren
MsgBox Objekt.Name                 ' Auslesen des Namens
Objekt.Name = "Umbenannt"       ' Ändern des Namens

End Sub
 

Einfärbung (Color):

Die Angabe von Farben erfolgt in Catia immer über das RGB-Prinzip (Rot-Grün-Blau). Die Farbintensität der jeweiligen Farbe wird mit einem Wert von 0-255 angegeben, wobei 255 die höchste Intensität der jeweiligen Farbe bedeutet. Je weiter man sich der 0 nähert, desto mehr dunkelt die Farbe ab. Hinzu kommt ein vierter Wert welcher entweder 0 oder 1 haben kann und angibt ob die gesetzte Farbe vererbt werden kann oder nicht.
0,0,0,0 wäre demnach schwarz und nicht vererbbar, 128,128,128,0 wäre grau und nicht vererbbar, 255,255,255,1 wäre weiß und vererbbar...  

  ' Bitte vor dem Ausführen ein Objekt selektieren - z.B. eine Linie, Plane, Punkt... !!!

Sub
CATMain()

set
Sel = CATIA.ActiveDocument.Selection
set
Objekt = Sel.VisProperties
Objekt.GetRealColor r, g, b        ' auslesen der Farbe
MsgBox r &" " &g &" " &b         ' anzeigen der Farbe
Objekt.SetRealColor 255,0,0,0   ' ändern der Farbe zu rot mit höchster Intensität und nicht vererbbar

End Sub
 

Show & Hide:

  ' Bitte vor dem Ausführen ein Objekt selektieren - z.B. eine Linie, Plane, Punkt... !!!

Sub CATMain()

set
Sel = CATIA.ActiveDocument.Selection
set Objekt = Sel.VisProperties
Objekt.GetShow Wo          ' auslesen des Show/Hide-Status
MsgBox Wo                      ' anzeigen des Show/Hide-Status. 1 = Hide, 0 = Show
Objekt.SetShow 1             ' verschiebt das Element ins Hide

End Sub

 

"Die Option Drucken funktioniert erst ab Netscape V4.0 bzw. I-Explorer 5.0 !"

[letzte Aktualisierung 19.02.2016]